/* 
    Document   : fnr-general
    Created on : Aug 26, 2016, 3:23:19 PM
    Author     : ipesce
    Description:
        Nuevo archivo de estilos css generales
*/


/* Sacar el color amarillo feo del autocompletar en Chrome */

input:-webkit-autofill { -webkit-box-shadow:0 0 0 500px white inset; 

}

/*defino mismo tipo de letra para los select*/
select{
    font-family: Trebuchet MS,Helvetica,sans-serif;
}


/* defino mismo tipo de letra y color basico para los input   */
input {
    font-family: Trebuchet MS,Helvetica,sans-serif;
    color: RGB(27, 28, 30);
}


/* sobreescribo input de anterior css   */
input [type="button"]:hover{
    background-color: #FFFFFF
}
input [type="submit"]:hover{
    background-color: #FFFFFF
}


/*label generico con padding*/
label{
    color: #1B3271;
    padding-bottom: 7px;
    font-size: 1em;
    padding-right: 4px;
}


/*Reescribir propiedades de hoja estilos fnr-basico con el header de formulario para poder agregar links particulares de aplicacion*/
#header{
    margin-bottom: 10px ;
    border-bottom: unset !important ;
    box-shadow: unset !important;
    height: 110px ;
}



/*Contenedor principal con los margenes y fondo*/

.panel-principal {
    background-color: white;
    margin: 20px 0px 0px 25px;
    padding: 0px 0px 0px 20px;
    display: inline-block;

}





/*Links del cabezal de la aplicacion (barra gris) para mantener estilo del portal. */
.links {
    display: block;
    margin-bottom: 16px;
    /* margin-left: 10px; */
    height: 40px;
    /* margin-top: 21px; */
    background-color: rgb(240,240,240);
    /* box-shadow: 0px 2px 3px rgba(0, 0, 0, 0.4); */
    line-height: 40px;
    box-shadow: 3px 3px 6px #a3a3a3;
    padding-left: 50px;
}

.links a{
    color: rgb(27, 50, 113);
    text-decoration: none;
    text-decoration-color: -moz-use-text-color;
    text-decoration-line: none;
    text-decoration-style: solid;
    font-size: 15px;
}
.links a:hover {
    color: #ffb637;
    text-decoration: underline;

}


/* Clase para utilizar fieldsets*/
.fieldset {
    display: block;
    /*    float: left;*/
    margin: 10px 0px 25px 10px;
}

.fieldset fieldset {
    border-radius: 5px;
    border: 1px solid rgba(96, 96, 96, 0.5);
    color: RGB(27, 28, 30);
    padding: 18px;
}

.fieldset fieldset legend{
    font-size: 1.1em;
    font-weight: bold;
    color: #1B3271;
    /*    text-shadow: 1px 1px 1px #A3A3A3;*/
}


/* Clase para extende tooltip de fieldsets */


.fieldset .info{
    display: inline-block;
    /* align-content: center; */
    /* align-items: end; */
    /* align-self: self-start; */
    vertical-align: text-bottom;
    padding-left: 10px; 
}


.tooltip {
    position: relative;
    display: inline-block;
}

.tooltip .tooltiptext {
    visibility: hidden;
    background-color: #F3E8C2;
    color: #262a2f;/*
/*    text-align: center;*/
    border-radius: 6px;
    padding: 16px 5px;
    position: absolute;
    z-index: 1;
    bottom: 125%;
    left: 50%;
    margin-left: -200px;  /* usar la mitad del width para centrar  */
    opacity: 0;
    transition: opacity 2s;
    font-size: 0.7em;
    font-weight: bold;
    width: 400px
}

.tooltip .tooltiptext::after {
    content: "";
    position: absolute;
    top: 100%;
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: #F3E8C2 transparent transparent transparent;
}

.tooltip:hover .tooltiptext {
    visibility: visible;
    opacity: 1;
}


/* TextArea para fieldset */


.fieldset fieldset textarea {

    width: 100%;   
    border: none;
    color: RGB(27, 28, 30);
    font-size: 1.0em;
    padding: 0px;
    outline: none;

}


.fieldset fieldset textarea:hover {
    background-color : transparent;

}


/* Botonera y botones para acciones de submit*/
.botonera{
    margin-bottom: 80px;
    margin-top: 20px;
    margin-left: 5px;
    /*    float: right;*/
    justify-content: center;
    align-items: center;
    text-align: center;
}

.boton{
    color: #FFF;
    font-size: 1.2em;
    padding: 7px;
    background-color: #31467F;
    text-shadow: 1px 1px 1px #333;
    text-align: center;
    text-decoration: none;
    border-radius: 5px;
    box-shadow: 3px 3px 2px #A3A3A3;
    margin-right: 45px;
    margin-top: 12px;
    border: 1px solid #1b3271;
    cursor: pointer;
}

.boton:hover{
    color: #1b3271;
    background-color: #fdb827;
    text-shadow: 1px 1px 1px #a3a3a3;
}





/* Barra azul de cargado de ajax (agregar a busyAjax.xhtml)*/
.loader-bloqueoInteraccion{
    position             : absolute;
    padding              : 0;
    margin               : 0;
    width                : 2000px;
    height               : 4000px;
    left                 : 0;
    top                  : 0;
    /*    z-index              : 1000; */
    position             : fixed;
    z-index: 1;
}

.loader {

    height: 8px;
    width: 100%;
    position: fixed;
    overflow: hidden;
    background-color: rgba(221, 221, 221, 0.32);
    z-index: 1;

}
.loader:before{
    display: block;
    position: absolute;
    content: "";
    left: -200px;
    width: 200px;
    height: 4px;
    background-color: #2980b9;
    animation: loading 2s linear infinite;

}


@keyframes loading {
    from {left: -200px; width: 30%;}
    50% {width: 30%;}
    70% {width: 70%;}
    80% { left: 50%;}
    95% {left: 120%;}
    to {left: 100%;}
}





/*Contenedor panelgroup con seleccion de fechas*/
.contenedorSeleccionFechas{
    padding-top: 16px;
    display: -moz-grid-line;

}

/*Botonera con botones de busqueda y reset de fechas*/
.botoneraSeleccionFecha{
    vertical-align: bottom;
    display: inline-flex;
    margin-top: 10px;
    margin-bottom: 10px;
    margin-right: 1em;

}

/*Contenedor Fecha horizontal con label y seleccionador de fecha*/
.contenedorFecha{
    display: inline-block;
    margin-top: 10px;
    margin-bottom: 10px;
    margin-right: 1em;
}

.contenedorFecha label {
    padding-right: 4px;
}


.contenedorFecha input {
    padding: 5px 3px 1px 4px;
    box-sizing: border-box;
    border: 2px solid rgba(29, 61, 128, 0.32);
    border-radius: 4px;
    background: url('/theme/img/general/calendarioFecha.png') 5px 4px  no-repeat;
    background-color: white;
    padding: 7px 20px 7px 37px;
    font-size: .9em;
}

.contenedorFecha input.debajoLabel {
    margin-top: 5px; 
    display: block;
}




/*Contenedor con padding entre la tabla y el fieldset para agregar por ejemplo el buscador y elementos a exportar*/

.contenedorBuscarExportar{
    padding-bottom: 7px; 
    padding-top: 4px;
}

/*contenedor para agregar las opciones de exportacion de los registros de la tabla*/
.contenedorExportar{
    float: right;
}

.contenedorExportar label {
    font-size: 1em;
    padding-right: 4px;
}

.contenedorExportar img {
    vertical-align: middle;
    padding-right: 4px;   
}  


/*Buscador con animación para buscar elementos en el DOM (utiliza js) */

.buscador {
    display: inline-block; 
    width: 50%;
}

.buscador input {
    width: 130px;
    box-sizing: border-box;
    border: 2px solid rgba(29, 61, 128, 0.32);
    border-radius: 5px;
    font-size: 15px;
    background-color: white;
    background-image: url('/theme/img/general/buscarEnTablaDinamico.png');
    background-position: 6px 5px;
    background-repeat: no-repeat;
    padding: 6px 18px 5px 36px;
    -webkit-transition: width 0.4s ease-in-out;
    transition: width 0.4s ease-in-out;
    color: rgba(29, 61, 128, 0.84);
}

.buscador :focus {
    width: 100%;
}
.buscador :hover {
    background-color: white;
}



/*Clase para dar menos opacidad a elementos cuando se hace hover */

.opacity {
    opacity: 1;
    -webkit-transition: .3s ease-in-out;
    transition: .3s ease-in-out
}

.opacity:hover {
    opacity: .5;
}

.footer{

    border-top: 1px #ccc dotted;
    margin: 0 auto;
    background-color: #FFF;
    padding: 7px;
    color: #1b3271;
    bottom: 0;
    position: fixed;
    text-align: center;
    width: 100%;
}




